BOOTPARAMD(8)

NAME
bootparamd - boot parameter server

SYNOPSIS
rpc.bootparamd [-d] [-s] [-r router] [-f file]

DESCRIPTION
bootparamd is a server process that provides information to diskless clients necessary for booting. It consults the /etc/bootparams file to find the information it needs.

This version will allow the use of aliases on the hostname in the /etc/bootparams file. The returned hostname to the whoami request done by the booting client will be the name that appears in /etc/bootparams and not the canonical name. In this way you can keep the answer short enough so that machines that cannot handle long hostnames won't fail during boot.

OPTIONS

-d  Display debugging information.

-s  Log the debugging information to syslog.

-r router
    The default router (a machine or an IP-address). This defaults to the machine running the server.

-f file
    The file to use as boot parameter file instead of /etc/bootparams.

FILES
/etc/bootparams

BUGS
You may find the syslog loggings too verbose.

AUTHOR
Written by Klas Heggemann <klas@nada.kth.se>